NXP NFC Reader Library v4.040.05.011646

Data Structures | Macros | Typedefs | Functions
Component : Software
Protocol Abstraction Layer » ISO/IEC 15693 / ISO/IEC 18000-3M1
Collaboration diagram for Component : Software:

## Data Structures
struct | phpalSli15693_Sw_DataParams
| Software Sli15693 PAL parameter structure. More...

## Macros
#define | PHPAL_SLI15693_SW_ID 0x01
| ID for this layer (Software Sli15693 layer). More...

## Typedefs
typedef struct phpalSli15693_Sw_DataParams | phpalSli15693_Sw_DataParams_t
| Software Sli15693 PAL parameter structure.

## Functions
phStatus_t | phpalSli15693_Sw_Init (phpalSli15693_Sw_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, void *pHalDataParams)
| Initialize PAL Sli15693 layer. More...

## Detailed Description

## Macro Definition Documentation

## § PHPAL_SLI15693_SW_ID

#define PHPAL_SLI15693_SW_ID 0x01

ID for this layer (Software Sli15693 layer).

phpalSli15693_Sw_DataParams::wId is initialized with this ID in the initialization function phpalSli15693_Sw_Init.

## Function Documentation

## § phpalSli15693_Sw_Init()

phStatus_t phpalSli15693_Sw_Init | ( | phpalSli15693_Sw_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | void * | pHalDataParams
| ) |  |

Initialize PAL Sli15693 layer.

This should be called before using any of the PAL Sli15693 APIs to do initialization of the layer. This configures the Sli15693 PAL with default configurations. Refer configuration options for supported configurations and their default values.

Parameters

  [in] | pDataParams | Pointer to PAL Sli15693 data parameter structure phpalSli15693_Sw_DataParams_t.
  [in] | wSizeOfDataParams | Specifies the size of data parameter structure phpalSli15693_Sw_DataParams_t.
  [in] | pHalDataParams | Pointer to the HAL data parameter structure.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_INVALID_DATA_PARAMS | Invalid data parameter. Size of data parameter structure phpalSli15693_Sw_DataParams_t specified in wSizeOfDataParams is wrong.